Subject: [bug#47086] [PATCH] gnu: tig: Update to 2.5.3.

From: "jgart" <[email-masked]>
Date: Thu, 18 Mar 2021 15:49:57 +0000

> BTW, note that “trivial” changes (usually considered as “less than 10
> lines”; a package update definitely falls into that category) are not
> even copyrightable.

We'll make sure not to add a copyright for trivial changes. Thank you for clarifying that.

> The other option obviously is to register LibreMiami as a non-profit,

We are in the process of incorporating LibreMiami as a non-profit. Till then, we'll include individual authors on separate lines of the copyright header.  

all the best,

jgart

March 18, 2021 5:48 AM, "Ludovic Courtès" <[email-masked]> wrote:

> Hi!
> 
> "jgart" <[email-masked]> skribis:
> 
>> I discussed this further with LibreMiami members and we are thinking about the following solution
>> to
>> this issue:
>> 
>> We would still author commits as LibreMiami with our group email, [email-masked].
>> All the co-authors would be listed in the commit body, as usual.
>> 
>> LibreMiami would not be mentioned in any copyright statements going forward. Instead, we would add
>> the
>> copyright statement for each contributor at the top of the file.
>> 
>> We might have several individuals contributing in one packaging session. Would this pose any
>> issues?
> 
> Nope, that sounds good!
> 
> BTW, note that “trivial” changes (usually considered as “less than 10
> lines”; a package update definitely falls into that category) are not
> even copyrightable.
> 
>> For example, there's a possibility that we might have 10 new contributors in one packaging session
>> and therefore 10 new copyright statements at the top of source code files that might get introduced
>> in that one session alone.
>> 
>> This was one of the main reasons why we collectively agreed on adding LibreMiami's copyright
>> statement to the top of source code files.
>> 
>> What are your thoughts on this matter? Should I move this to a mailing list discussion?
> 
> I see. If there are literally ten people for each packaging patch you
> submit, that could be a lot.
> 
> The other option obviously is to register LibreMiami as a non-profit, to
> have its members formally assign it copyright on their work, at which
> point “copyright LibreMiami” makes perfect sense.
> 
> HTH!
> 
> Ludo’.